## Apache Zeta Components Manual :: Docs For Class ezcCacheUsedLocationException

### Cache::ezcCacheUsedLocationException

### Class ezcCacheUsedLocationException

Exception that is thrown when a given location is already in use.

Only one cache may reside in a specific location to avoid conflicts while storing (ezcCacheStorage::store()) and restoring (ezcCacheStorage::restore()) data from a cache. If you try to configure a cache to be used in location that is already taken by another cachein ezcCacheManager::createCache(), this exception will be thrown.

Source for this file: /Cache/src/exceptions/used_location.php

    Exception
       |
       --ezcBaseException
          |
          --ezcCacheException
             |
             --ezcCacheUsedLocationException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $location , $cacheId )` Creates a new ezcCacheUsedLocationException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( string $location , string $cacheId )

Creates a new ezcCacheUsedLocationException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$location` | string | The used location.
`$cacheId` | string | The cache ID using this location.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3